#!/usr/local/perl/bin/perl

use NetCDF;

$file = $ARGV[0];


$ncidread = NetCDF::open($file, NOWRITE);

##Find out numTables value
$numTablesid = NetCDF::dimid($ncidread, 'numTables');
NetCDF::diminq($ncidread, $numTablesid, $name, $numTablesvar);

##get stringLength 
$stringLengthid = NetCDF::dimid($ncidread, 'stringLength');
NetCDF::diminq($ncidread, $stringLengthid, $name, $stringLengthvar);

print "String Length = $stringLengthvar\n";
print "Number of Tables = $numTablesvar\n";

#Read out table names
foreach $value (0..$numTablesvar-1) {
@start = ($value,0);
@count = (1,$stringLengthvar);

@startkeys = ($value,0);
@countkeys = (1,1);

$tableNamesvarid=NetCDF::varid($ncidread,"tableNames");
$tableKeysvarid=NetCDF::varid($ncidread,"tableKeys");

NetCDF::varget($ncidread,$tableNamesvarid,\@start,\@count,\@name);
NetCDF::varget($ncidread,$tableKeysvarid,\@startkeys,\@countkeys,\@keys);
print $keys[0]." ".process(\@name)."\n";
}





sub process() {
	($ref) = @_;
	@list = @$ref;

	return(pack("C*",@list));


}

#read out numbers


#print out list
